Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezgroupeventcalendar/user/datasupplier.php
Go to the documentation of this file.
1 <?
3 include_once( "kernel/ezgroupeventcalendar/classes/ezgroupevent.php" );
4
5 $ini =& eZINI::instance( 'site.ini' );
6 $GlobalSectionID = $ini->variable( "eZGroupEventCalendarMain", "DefaultSection" );
7 $UserComments = $ini->variable( "eZGroupEventCalendarMain", "UserComments" );
8
9 $Title = "Calendar";
10
11 /*
12 if( $GetByTypeID != 0 )
13 $Type = $GetByTypeID;
14 else
15 $Type = 0;
16 */
17
18 switch ( $url_array[2] )
19 {
20 case "rssheadlines":
21 case "listrss":
22 case "rss":
23 {
24 include( "kernel/ezgroupeventcalendar/user/rssheadlines.php" );
25 }
26 break;
27
28 case "yearview" :
29 {
30 $Year = $url_array[3];
31
32 include( "kernel/ezgroupeventcalendar/user/yearview.php" );
33 }
34 break;
35
36 case "monthview" :
37 {
38 $Year = $url_array[3];
39 $Month = $url_array[4];
40
41 include( "kernel/ezgroupeventcalendar/user/monthview.php" );
42 }
43 break;
44
45 case "dayview" :
46 {
47 $Year = $url_array[3];
48 $Month = $url_array[4];
49 $Day = $url_array[5];
50
51 include( "kernel/ezgroupeventcalendar/user/dayview.php" );
52 }
53 break;
54 case "weekview" :
55 {
56 $Year = $url_array[3];
57 $Month = $url_array[4];
58 $Day = $url_array[5];
59
60 include( "kernel/ezgroupeventcalendar/user/weekview.php" );
61 }
62 break;
63
64 case "eventedit" :
65 {
66 switch ( $url_array[3] )
67 {
68 // filelist
69 case "filelist" :
70 {
71 $EventID = $url_array[4];
72 include( "kernel/ezgroupeventcalendar/user/filelist.php" );
73 break;
74 }
75
76 //files
77 case "fileedit" :
78 {
79 if ( isSet( $Browse ) )
80 {
81 include( "kernel/ezfilemanager/admin/browse.php" );
82 break;
83 }
84
85 switch ( $url_array[4] )
86 {
87
88 case "new" :
89 {
90 $Action = "New";
91 $EventID = $url_array[5];
92 include( "kernel/ezgroupeventcalendar/user/fileedit.php" );
93 }
94 break;
95
96 case "edit" :
97 {
98 $Action = "Edit";
99 $EventID = $url_array[6];
100 $FileID = $url_array[5];
101 include( "kernel/ezgroupeventcalendar/user/fileedit.php" );
102 }
103 break;
104
105 case "delete" :
106 {
107 $Action = "Delete";
108 $EventID = $url_array[6];
109 $FileID = $url_array[5];
110 include( "kernel/ezgroupeventcalendar/user/fileedit.php" );
111 }
112 break;
113
114 default :
115 {
116 include( "kernel/ezgroupeventcalendar/user/fileedit.php" );
117 }
118 }
119 }
120 break;
121
122
123 case "new" :
124 {
125 $Action = "New";
126 $Year = $url_array[4];
127 $Month = $url_array[5];
128 $Day = $url_array[6];
129 $StartTime = $url_array[7];
130
131 include( "kernel/ezgroupeventcalendar/user/eventedit.php" );
132 }
133 break;
134
135 case "edit" :
136 {
137 $Action = "Edit";
138 $EventID = $url_array[4];
139
140 include( "kernel/ezgroupeventcalendar/user/eventedit.php" );
141 }
142 break;
143
144 case "update" :
145 {
146 $Action = "Update";
147 $EventID = $url_array[4];
148
149 include( "kernel/ezgroupeventcalendar/user/eventedit.php" );
150 }
151 break;
152
153 case "insert" :
154 {
155 $Action = "Insert";
156 $EventID = $url_array[4];
157
158 include( "kernel/ezgroupeventcalendar/user/eventedit.php" );
159 }
160 break;
161
162 default :
163 {
164 $Action = $url_array[3];
165 include( "kernel/ezgroupeventcalendar/user/eventedit.php" );
166 }
167 }
168 }
169 break;
170
171 case "eventview" :
172 {
173 $EventID = $url_array[3];
174 include( "kernel/ezgroupeventcalendar/user/eventview.php" );
175
176 if ( isset( $PrintableVersion ) && ( $PrintableVersion != "enabled" ) && ( $UserComments == "enabled" ) )
177 {
178 $RedirectURL = "/groupeventcalendar/eventview/$EventID/";
179 $event = new eZGroupEvent( $EventID );
180 if ( ( $event->id() >= 1 ) )
181 {
182 for ( $i = 0; $i < count( $url_array ); $i++ )
183 {
184 if ( ( $url_array[$i] ) == "parent" )
185 {
186 $next = $i + 1;
187 $Offset = $url_array[$next];
188 }
189 }
190
191 $forum = $event->forum();
192 $ForumID = $forum->id();
193 include( "kernel/ezforum/user/messagesimplelist.php" );
194 }
195 }
196 }
197 break;
198
199 default;
200 {
201 eZHTTPTool::header( "Location: /error/404" );
202 exit();
203 }
204 }
205
206 ?>
$i
$i
Definition: admin/adlist.php:91
$forum
$forum
Definition: admin/forumlist.php:50
eZGroupEvent
Definition: ezgroupevent.php:85
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
$Action
$Action
Definition: companysearch.php:80
$event
if(isset( $Action) && $Action=="New") else $event
Definition: eventedit.php:189
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$Offset
$Offset
Definition: ezarticle/user/search.php:110
$Month
$Month
Definition: ezcalendar/user/dayview.php:78
$Day
$Day
Definition: ezcalendar/user/dayview.php:79
$RedirectURL
$RedirectURL
Definition: ezforum/user/userlogin.php:91
$GlobalSectionID
$GlobalSectionID
Definition: ezgroupeventcalendar/user/datasupplier.php:6
$Title
$Title
Definition: ezgroupeventcalendar/user/datasupplier.php:9
$UserComments
$UserComments
Definition: ezgroupeventcalendar/user/datasupplier.php:7
$ini
$ini
Definition: ezgroupeventcalendar/user/datasupplier.php:5
exit
exit
Definition: folder.php:81
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.